<div><span class="city-back" (click)="backToMain()">
    <span class="city-back-arrow"><</span> Back
</span>
</div>
<div class="city">
    <app-list-of-buildinds [prodactions]="buildings" (elementChange)="addToProd($event)"></app-list-of-buildinds>
    <div>
        <img class="city-image" [attr.src]="state$?.img">
        <div class="city-info">
            <div>Level: {{state$?.cityLevel}}</div>
            <div>Progress: {{state$?.foodLevel}}</div>
            <div>Food: {{state$?.food}}</div>
            <div>gold: {{state$?.gold}}</div>
            <div>science: {{state$?.science}}</div>
            <div>culture: {{state$?.culture}}</div>
            <div>Manufacture: {{state$?.manufacture}}</div>
        </div>
    </div>
    Completed:
    <app-list-of-buildinds [prodactions]="state$?.buildings"></app-list-of-buildinds>
</div>
<div *ngIf="state$?.processing" class="processing">
    Now processing: 
    <span><img [attr.src]="state$?.processing?.img"></span>
    <span>cost: {{state$?.processing?.cost}} </span>
    <span>{{state$?.processing?.name}} </span>
</div>
